IT: OTS (China) -0000 #481
v4.0: Logging System
07/22/2025 11:01 AM - Xihua Fan

Status: oo0 Start date: 10/13/2025
Priority: aa Due date: 12/31/2025
Assignee: Zhongbao Ye % Done: 0%
Category: Estimated time: 20.00 hours
Target version: v4.0 Spent time: 0.00 hour
Description

Background

1. https://trello.com/c/ItPmBpDH/16-%E6%B7%BBY%E5%8A%A0%E6%97%A5%E5%BF%97

2. https://trello.com/c/UmUTmIi1b/17-%E7%AEY%A1%E7%90%86%E6%97 %A5%E5%BF %97

Task Details

¢ 1. Logging System: Add/Edit/Remove
- 0000000nistory00O000DOODODD
e 2.00000Trello

v4 coding standard:

1. Gitl0
#xxx(redmine number): xxx(redmine title) - xxx(DDDDDDD)

2. 0000
2.1: U00Public -> Protected -> Private
ﬁi]z 0000000sBx
3. mveLlvanallil
3.1: v3nv40000000000000 order.php, order_v3.php
3.2 system[”]DDDDDDDDDDDDuser_VS
- Note: frontl$this->userllval0000$this->customer, Ovall000$this->user
3.3: 000000van40000000new User_V3

4.0000
hwig, is, css (s, cssU000000essO0M)

5.0000
lEl/IVCL (LOenlcn)

6. 00
1.000

/**
* XXX
*

* @copyright RedBlue-0TS 2024

* @version vi4
*

*/

2.00000000 + DOODD

Jxx
* XXX
*

* @param xxX S$XXX
* @param XXX S$XXX
https://trello.com/c/ItPmBpDH/16-%E6%B7%BB%E5%8A%A0%E6%97%A5%E5%BF%97
https://trello.com/c/UmUTmi1b/17-%E7%AE%A1%E7%90%86%E6%97%A5%E5%BF%97

* @return xxx
=/
Output
® Report and Solution

Others

History

#1 - 08/04/2025 11:04 AM - Xihua Fan
- Due date changed from 07/31/2025 to 08/29/2025
- Start date changed from 07/28/2025 to 08/11/2025

#2 - 09/15/2025 10:23 AM - Xihua Fan
- Due date changed from 08/29/2025 to 10/31/2025
- Start date changed from 08/11/2025 to 10/13/2025

#3 - 11/28/2025 02:40 PM - Xihua Fan
- Due date changed from 10/31/2025 to 12/31/2025

#4 - 12/19/2025 06:18 PM - Junyi Zhang

- Description updated
